Download translatable component variables
curl --request GET \
--url https://api.extole.io/v1/components/{component_id}/translatable.{format} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v1/components/{component_id}/translatable.{format}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v1/components/{component_id}/translatable.{format}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"absolute_name": "<string>",
"display_name": "<string>",
"name": "<string>",
"type": "ADMIN_ICON"
}
]Components
Download translatable component variables
Downloads the translatable variable values for the specified component for localisation.
GET
https://api.extole.io
/
v1
/
components
/
{component_id}
/
translatable.
{format}
Download translatable component variables
Authorizations
HEADERQUERYCOOKIE
Headers
Query Parameters
Response
Translatable component variable values in the requested format.
Available options:
ADMIN_ICON, AUDIENCE_ID, AUDIENCE_ID_LIST, BOOLEAN, BROWSER_SIDE_JAVASCRIPT, CLIENT_DOMAIN_ID_LIST, CLIENT_KEY, CLIENT_KEY_FLOW, COLOR, COMPONENT_ID, COMPONENT_REFERENCE, COMPONENT_REFERENCE_LIST, COMPONENT_SETTING_LOOKUP, CSS, DATE_TIME, DELAY, DELAY_LIST, ENUM, ENUM_LIST, EXTOLE_CLIENT_KEY, FONT, GLOB_COMPONENT_PATH, HTML, IMAGE, INTEGER, INTEGER_LIST, JSON, MULTI_SOCKET, PARTNER_ENUM, PARTNER_ENUM_LIST, PERSON_KEY_NAME, REWARD_SUPPLIER_ID, REWARD_SUPPLIER_ID_LIST, SFTP_DIRECTORY, SOCKET, STRING, STRING_LIST, STRING_MAP, TRIGGER_CONFIGURATION, URL, WEBHOOK_ID 